# YtDescription (Google Data APIs Client Library (1.43.0))
Date: 2011-02-04

# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.youtube
Class YtDescription

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.youtube.AbstractFreeTextExtension
              com.google.gdata.data.youtube.YtDescription

All Implemented Interfaces:
  Extension

Deprecated. This tag is only accepted in version 1 of the protocol. The tag `atom:summary` usually replaces `yt:description` in version 2 and later.

    @Deprecated
    public class YtDescription

extends AbstractFreeTextExtension

yt:description tag, found on the user detail page

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`YtDescription()` Deprecated. Creates an empty tag.
`YtDescription(java.lang.String description)` Deprecated. Creates a tag and initializes its content.

Method Summary

Methods inherited from class com.google.gdata.data.youtube.AbstractFreeTextExtension
`consumeAttributes, getContent, putAttributes, setContent`

Methods inherited from class com.google.gdata.data.AbstractExtension
`disableStrictValidation, enableStrictValidation, eq, generate, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, getHandler, isImmutable, isStrictValidation, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### YtDescription

    public YtDescription()

  Deprecated.
  Creates an empty tag.

### YtDescription

    public YtDescription(java.lang.String description)

  Deprecated.
  Creates a tag and initializes its content.

  Parameters:
    `description` - content